#
# spec file for package whatsapp-for-linux
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           whatsapp-for-linux
Version:        1.5.0
Release:        bp155.1.6
Summary:        WhatsApp for Linux
License:        GPL-3.0-only
URL:            https://github.com/eneshecan/whatsapp-for-linux
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  cmake
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(ayatana-appindicator3-0.1)
BuildRequires:  pkgconfig(gtkmm-3.0)
BuildRequires:  pkgconfig(webkit2gtk-4.0) >= 2.34

%description
An unofficial WhatsApp desktop application written in C++.

%lang_package

%prep
%setup -q

%build
%cmake
%cmake_build

%install
%cmake_install
%fdupes -s %{buildroot}%{_datadir}/icons

%find_lang %{name}

%files
%{_bindir}/%{name}
%{_datadir}/applications/com.github.eneshecan.WhatsAppForLinux.desktop
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/hicolor/*/status/*.png
%{_datadir}/metainfo/*.xml
%doc README.md
%license LICENSE

%files lang -f %{name}.lang
%{_datadir}/locale/??/LC_MESSAGES/%{name}.mo

%changelog
* Sat Oct 29 2022 Michael Vetter <mvetter@suse.com>
- Update to 1.5.0:
  * Implemented enhancements:
    + Ctrl+P to open preferences #237
    + Localize WFL_FRIENDLY_NAME and WFL_DESCRIPTION for the desktop file #235
    + Simplify Config & Preferences (Breaks Backward Compatibility!) #229
    + Localization #180
    + Start minimised #136
  * Fixed bugs:
    + Preferences window is not attached to the main window #236
    + Permission issues #226
    + Slow responding even without hardware acceleration #225
    + Keeps freezing/spinning the CPU #224
    + WhatsApp For Linux starts but doesnt load, keeps in loading screen forever. #223
    + No Display with Whatsapp business account #220
    + Does not work with hardware acceleration + does not persist preferences #216
    + Spell check does not work #215
    + Flatpak version not running in Arch Linux #211
    + No Internet Connection Pop-up #209
    + Notification icon dissapears imediately #202
    + Auto turn off notifications #194
  * Merged pull requests:
    + Use official ArchLinux logo image in README #241
    + Update Italian translation #240
    + Add Italian translation #234
    + Added Dutch translation #233
    + Implement localization support #232
    + Implement start minimized option #231
    + Use webkit2gtk-4.1 if webkit2gtk-4.0 is not found #228
* Wed Oct 19 2022 Michael Vetter <mvetter@suse.com>
- Remove deprecated %%icon_theme_cache_post macros
* Tue Sep 27 2022 Michael Vetter <mvetter@suse.com>
- Update to 1.4.7:
  * Fixed bugs:
    + Permission issues #226
    + WhatsApp For Linux starts but doesnt load, keeps in loading
    screen forever. #223
* Sat Aug  6 2022 Fridrich Strba <fstrba@suse.com>
- Update to 1.4.6
  * Fixed bugs:
    + Flatpak version not running in Arch Linux #211
* Thu Jul 21 2022 Fridrich Strba <fstrba@suse.com>
- Update to 1.4.5
  * Fixed bugs:
    + "GDBus.Error:org.freedesktop.portal.Error.NotAllowed: This
    call is not available inside the sandbox" #207
    + Incorrect display of the icon of the running application. #185
* Fri Jul  1 2022 Fridrich Strba <fstrba@suse.com>
- Initial packaging of WhatsApp for Linux unofficial client 1.4.4
